/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

/* front page */

/* intro */
.intro {
    padding: 50px 0 125px;
}

.intro__title {
    margin: 0 0 50px 0;
    max-width: 1200px;
    width: 100%;
}

.intro__descr-wr {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    position: relative;
}

.intro_descr {
    max-width: 330px;
    margin-right: 65px;
}

.scroll-down {
    display: block;
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
}

.scroll-down img {
    width: 52px;
    height: 52px;
}

.intro__gallery {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 25px 1.2fr 25px 1fr;
    grid-template-columns: 1fr 1.2fr 1fr;
    gap: 25px;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    margin-top: 55px;
}

.intro__media {
    height: 830px;
    margin: 0;
}

.intro__media:nth-child(2) {
    height: 1035px;
}

.intro__media img {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
       object-fit: cover;
}

/* advantages */
.adv__list {
    margin-top: 85px;
    padding: 0 0 30px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
}

.adv__item {
    margin: 0 80px;
    font-size: 16px;
    font-weight: 400;
    line-height: 21.86px;
    letter-spacing: -0.05em;
    text-align: center;
}

.adv__icon {
    margin: 0 auto 23px;
}

.adv__icon img {
    width: 74px;
    height: 74px;
}

/* catalog */
.catalog {
    padding-bottom: 150px;
}

.catalog__header {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
}

.catalog__list {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 30px 1fr 30px 1fr;
    grid-template-columns: repeat(3, 1fr);
    gap: 60px 30px;
    padding: 80px 0 110px;
}

.catalog__item {
    display: block;
}

body .catalog__media {
    width: 100%;
    height: 0;
    margin-bottom: 38px;
    padding-bottom: 133%;
    position: relative;
    overflow: hidden;
}

.catalog__media img {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
       object-fit: cover;
    position: absolute;
    left: 0;
    top: 0;
}

.catalog__heading {
    border-top: 1px solid rgba(var(--text-light-rgb), 0.5);
    padding-top: 20px;
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    font-weight: 400;
}

.catalog__heading::after {
    content: "";
    width: 13px;
    height: 13px;
    min-width: 13px;
    background: url(../img/catalog-arrow.svg);
    -webkit-transition: var(--duration);
    -o-transition: var(--duration);
    transition: var(--duration);
    display: block;
    margin-left: 10px;
}

.catalog__item:hover .catalog__heading::after {
    -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
            transform: rotate(45deg);
}

@media screen and (max-width: 1440px) {
    .catalog__list {
        gap: 40px 20px;
    }
}

@media screen and (max-width: 1199px) {
    .catalog__list {
        gap: 50px 15px;
        padding: 65px 0 80px;
    }

    .catalog__media {
        padding-bottom: 130%;
        margin-bottom: 24px;
    }
}

@media screen and (max-width: 780px) {
    .catalog__list {
        gap: 20px 7px;
        -ms-grid-columns: 1fr 7px 1fr;
        grid-template-columns: repeat(2, 1fr);
        padding: 40px 0 30px;
    }

    .catalog__media {
        margin-bottom: 15px;
    }
}

/* portfolio */
.portfolio {
    padding-bottom: 135px;
}

.portfolio__title {
    margin-right: 365px;
}

.portfolio__grid {
    margin-top: 60px;
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 0.3fr 28px 0.7fr;
    grid-template-columns: 0.3fr 0.7fr;
    grid-auto-rows: auto;
    grid-auto-flow: dense;
    gap: 28px;
}

.portfolio__item {
    height: 100%;
    /* padding-bottom: 100%; */
    position: relative;
}

.portfolio__item img {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
       object-fit: cover;
    position: absolute;
    left: 0;
    top: 0;
}

.portfolio__grid-left {
    display: -ms-grid;
    display: grid;
    gap: 28px;
    -ms-grid-columns: 1fr;
    grid-template-columns: 1fr;
    -ms-grid-rows: 1fr 28px 1fr 28px 1.3fr 28px 1fr;
    grid-template-rows: 1fr 1fr 1.3fr 1fr;
    height: 2100px;
    /* grid-template-rows:  0.7fr 0.7fr 1.3fr 0.7fr; */
}

.portfolio__grid-left > *:nth-child(1) {
    -ms-grid-row: 1;
    -ms-grid-column: 1;
}

.portfolio__grid-left > *:nth-child(2) {
    -ms-grid-row: 3;
    -ms-grid-column: 1;
}

.portfolio__grid-left > *:nth-child(3) {
    -ms-grid-row: 5;
    -ms-grid-column: 1;
}

.portfolio__grid-left > *:nth-child(4) {
    -ms-grid-row: 7;
    -ms-grid-column: 1;
}

.portfolio__grid-right {
    display: -ms-grid;
    display: grid;
    gap: 28px;
    -ms-grid-columns: 1.1fr 28px 0.4fr 28px 1fr;
    grid-template-columns: 1.1fr 0.4fr 1fr;
    -ms-grid-rows: 3.5fr 28px 2.6fr 28px 4.5fr 28px 1fr 28px 4.2fr;
    grid-template-rows: 3.5fr 2.6fr 4.5fr 1fr 4.2fr;
    /* grid-template-rows:  0.55fr 0.45fr 1fr 0.06fr 0.8fr; */
}

.portfolio__grid-right > *:nth-child(1) {
    -ms-grid-row: 1;
    -ms-grid-column: 1;
}

.portfolio__grid-right > *:nth-child(2) {
    -ms-grid-row: 1;
    -ms-grid-column: 3;
}

.portfolio__grid-right > *:nth-child(3) {
    -ms-grid-row: 1;
    -ms-grid-column: 5;
}

.portfolio__grid-right > *:nth-child(4) {
    -ms-grid-row: 3;
    -ms-grid-column: 1;
}

.portfolio__grid-right > *:nth-child(5) {
    -ms-grid-row: 3;
    -ms-grid-column: 3;
}

.portfolio__grid-right > *:nth-child(6) {
    -ms-grid-row: 3;
    -ms-grid-column: 5;
}

.portfolio__grid-right > *:nth-child(7) {
    -ms-grid-row: 5;
    -ms-grid-column: 1;
}

.portfolio__grid-right > *:nth-child(8) {
    -ms-grid-row: 5;
    -ms-grid-column: 3;
}

.portfolio__grid-right > *:nth-child(9) {
    -ms-grid-row: 5;
    -ms-grid-column: 5;
}

.portfolio__grid-right > *:nth-child(10) {
    -ms-grid-row: 7;
    -ms-grid-column: 1;
}

.portfolio__grid-right > *:nth-child(11) {
    -ms-grid-row: 7;
    -ms-grid-column: 3;
}

.portfolio__grid-right > *:nth-child(12) {
    -ms-grid-row: 7;
    -ms-grid-column: 5;
}

.portfolio__grid-right > *:nth-child(13) {
    -ms-grid-row: 9;
    -ms-grid-column: 1;
}

.portfolio__grid-right > *:nth-child(14) {
    -ms-grid-row: 9;
    -ms-grid-column: 3;
}

.portfolio__grid-right > *:nth-child(15) {
    -ms-grid-row: 9;
    -ms-grid-column: 5;
}

.portfolio__grid-right .portfolio__item:first-child {
    -ms-grid-column: 1;
    -ms-grid-column-span: 2;
    grid-column: 1/3;
    -ms-grid-row: 1;
    -ms-grid-row-span: 2;
    grid-row: 1/3;
}

.portfolio__grid-right .portfolio__item:nth-child(6) {
    -ms-grid-column: 2;
    -ms-grid-column-span: 2;
    grid-column: 2/4;
    -ms-grid-row: 3;
    -ms-grid-row-span: 2;
    grid-row: 3/5;
}

.portfolio__grid-right .portfolio__item:nth-child(5) {
    -ms-grid-row: 4;
    -ms-grid-row-span: 2;
    grid-row: 4/6;
}

.portfolio__grid-right .portfolio__item:nth-child(7) {
    -ms-grid-column: 2;
    -ms-grid-column-span: 2;
    grid-column: 2/4;
}

/* home about */
.home-about {
    padding-bottom: 145px;
}

.home-about__row {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 60px 0.7fr;
    grid-template-columns: 1fr 0.7fr;
    gap: 60px;
}

.home-about__grid {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1.2fr 20px 1fr;
    grid-template-columns: 1.2fr 1fr;
    -ms-grid-rows: 428px 20px 611px;
    grid-template-rows: 428px 611px;
    gap: 20px;
}

.home-about__grid > *:nth-child(1) {
    -ms-grid-row: 1;
    -ms-grid-column: 1;
}

.home-about__grid > *:nth-child(2) {
    -ms-grid-row: 1;
    -ms-grid-column: 3;
}

.home-about__grid > *:nth-child(3) {
    -ms-grid-row: 3;
    -ms-grid-column: 1;
}

.home-about__grid > *:nth-child(4) {
    -ms-grid-row: 3;
    -ms-grid-column: 3;
}

.home-about__media:nth-child(3) {
    -ms-grid-column: 1;
    -ms-grid-column-span: 2;
    grid-column: 1/3;
}

.home-about__content {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
}

.home-about__text {
    margin-top: 55px;
}

.home-about__text p {
    margin-bottom: 30px;
}

.home-about__btn {
    margin-top: auto;
}

/* cement */
.cement {
    padding-bottom: 90px;
}

.cement__row {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: (1fr)[2];
    grid-template-columns: repeat(2, 1fr);
}

.cement__content {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
}

.cement__title {
    padding-right: 40px;
    margin-bottom: 65px;
}

.cement__text {
    max-width: 670px;
}

.cement__text h3 {
    margin: 50px 0 20px;
    font-family: inherit;
}

.cement__text h3:first-child {
    margin-top: 0;
}

.cement__text p {
    margin-bottom: 20px;
}

.cement__btn {
    margin-top: auto;
}

.cement__media {
    min-height: 950px;
}

/* how to order */
.order {
    padding-bottom: 90px;
}

.order-steps {
    margin-top: 65px;
}

.order-steps__item {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 1fr 1.8fr;
    grid-template-columns: 1fr 1fr 1.8fr;
}

.order-steps__num {
    color: var(--accent);
    background: var(--dark-icon);
    width: 85px;
    height: 40px;
    padding: 8px 20px;
    text-align: center;
}

.order-steps__def {
    font-family: inherit;
}

.order-steps__descr {
    max-width: 525px;
}

.order-steps__def,
.order-steps__num-wr {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
}

.order-steps__def,
.order-steps__descr-wr {
    border-top: 1px solid var(--text-light-opc);
    padding: 34px 0;
}

.order__btn-wr {
    margin-top: 45px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
}

/* popup */
.popup {
    background: var(--text-dark-opc);
    -webkit-backdrop-filter: blur(30px);
    backdrop-filter: blur(30px);
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    padding: var(--padding);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    z-index: 20;
}
.popup__overlay {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: var(--text-dark-opc);
    -webkit-backdrop-filter: blur(30px);
    backdrop-filter: blur(30px);
}
.popup__content {
    position: relative;
    z-index: 2;
}
/* request form */
.call-request-form {
    background-color: var(--text-light);
    color: var(--text-dark-opc);
    max-width: 536px;
    width: 100%;
    padding: 34px 60px 10px;
}

.call-request-form .request-form__title {
    text-transform: none;
}

.request-bg {
    margin-top: 77px;
    padding: 165px 0;
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
}

.request-bg img {
    position: absolute;
    left: 0;
    top: 0;
}

.request-form a {
    color: inherit;
    text-decoration: underline;
}

.request-form a:hover {
    text-decoration: none;
}

.request-form__title {
    font-family: inherit;
    font-size: 22px;
    font-weight: 400;
    line-height: 30.05px;
    letter-spacing: -0.05em;
    text-align: center;
    margin-bottom: 35px;
    color: var(--text-dark);
}

.request-form .wpcf7-form-control-wrap {
    display: block;
    margin-bottom: 37px;
}

.wpcf7-list-item {
    margin: 0;
}

.request-form__btn {
    width: 100%;
}

@media screen and (max-width: 780px) {
    .call-request-form {
        padding-left: 35px;
        padding-right: 35px;
        max-width: 400px;
    }

    .call-request-form .request-form__title {
        font-size: 16px;
        line-height: 21.86px;
        margin-bottom: 18px;
    }
}

/* 404 not found */
.error-404 {
    padding: 35px 0 126px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    text-align: center;
}

.error-404__title::before {
    content: "404";
    font-family: 'Manrope', sans-serif;
    font-size: 250px;
    font-weight: 400;
    line-height: 341.5px;
    letter-spacing: -0.05em;
    text-align: center;
    display: block;
    color: var(--text-light);
}

.error-404__text {
    max-width: 400px;
    margin: 40px auto;
}

.error-404__btn-wr {
    margin-top: 50px;
}

@media screen and (max-width: 780px) {
    .error-404__title::before {
        font-size: 120px;
        line-height: 163.92px;
    }
}

/* category archive page */